<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class GoodReceiptTruck extends Model
{
    protected $primaryKey = 'id_truck';
    protected $table = 'good_receipts_truck';
    protected $fillable = [
        'truck_no',
    ];

    public function goodReceipts()
    {
        return $this->hasMany(GoodReceipts::class, 'good_receipts_truck_id');
    }

    public function goodReceiptDetails()
    {
        return $this->hasMany(GoodReceiptDetail::class, 'truck_id');
    }


}
